<div class="hotbar">
    <div>
        <button style="display: flex; align-items: center;" (click)="onJobClick()">
            <img src="../assets/images/left-arrow.png" style="height: 20px;">
        </button>
    </div>
    <div class="logout">
        <p style="margin-right: 20px;">{{ nickname }}</p>
        <button *ngIf="!small" (click)="auth.logout({ returnTo: document.location.origin })">
            Log out
        </button>
        <button *ngIf="small" style="display: flex; align-items: center;" (click)="auth.logout({ returnTo: document.location.origin })">
            <img src="../assets/images/logout.png" style="height: 20px;">
        </button>
    </div>
</div>
<h3 *ngIf="jobService.articles.length == 0 && !articleService.filtered" style="display: flex; justify-content: center;">Loading...</h3>
<app-graph *ngIf="jobService.articles.length > 0"></app-graph>
<h1 style="text-align: center;">Articles</h1>

<div *ngIf="!ssmall && !small" style="display: flex; justify-content: center; align-items: center;">
    <h3 style="margin-right: 20px;">Key word</h3>
    <p style="margin-right: 50px;"><input type="text" placeholder="Key word" id="keyWordBar" name="keyWordBar" #keyWordBar></p>
    <h3 style="margin-right: 20px;">Author</h3>
    <p style="margin-right: 50px;"><input type="text" placeholder="Author" id="authorBar" name="authorBar" #authorBar></p>
    <button style="width: 50px; height: 50px; padding: 0px;" (click)="onSearchClick(keyWordBar.value.toUpperCase(), authorBar.value.toUpperCase())">
        <img src="../assets/images/loupe.png" style="height: 15px;">
    </button>
</div>
<div *ngIf="ssmall || small" style="display: flex; flex-direction: column; justify-content: center; align-items: center;">
    <h3 style="margin: 0px;">Key word</h3>
    <p><input style="width: 300px;" type="text" placeholder="Key word" id="keyWordBar" name="keyWordBar" #keyWordBar></p>
    <h3 style="margin: 0px;">Author</h3>
    <p><input style="width: 300px;" type="text" placeholder="Author" id="authorBar" name="authorBar" #authorBar></p>
    <button style="width: 300px; height: 50px; padding: 0px; margin: 20px;" (click)="onSearchClick(keyWordBar.value.toUpperCase(), authorBar.value.toUpperCase())">
        <img src="../assets/images/loupe.png" style="height: 15px;">
    </button>
</div>
<div *ngIf="articleService.filtered" style="margin-left: 5%; margin-right: 5%;">
    <div style="display: flex; justify-content: space-between; align-items: center;">
        <div>
            <h2>Filters:</h2>
            <h3 *ngIf="articleService.filterKey.length != 0">Key words: {{articleService.filterKey | titlecase}}</h3>
            <h3 *ngIf="articleService.filterAut.length != 0">Authors: {{articleService.filterAut | titlecase}}</h3>
        </div>
        <button style="height: 60px; width: 100px; padding: 0px;" (click)="onResetClick()">Reset</button>
    </div>
    <hr>
</div>

<div *ngIf="jobService.articles.length > 0" class="article-list">
    <app-article *ngFor="let a of jobService.articles" [article]="a"></app-article>
</div>
<h3 *ngIf="jobService.articles.length == 0 && !articleService.filtered" style="display: flex; justify-content: center;">Loading...</h3>
<h3 *ngIf="jobService.articles.length == 0 && articleService.filtered" style="display: flex; justify-content: center;">No article</h3>